const LogoSVG = () => (
  <svg width="1059" height="899" viewBox="0 0 1059 899" fill="none" className="w-full h-auto">
    <title>Logo</title>
    <path fillRule="evenodd" clipRule="evenodd" d="M777.847 259.463C734.358 276.808 711.432 324.599 725.121 369.373L735.447 403.149C749.136 447.923 794.867 474.723 840.62 464.784L900.435 451.791C951.876 440.616 982.788 387.869 967.397 337.528L954.11 294.071C938.719 243.729 883.597 217.286 834.702 236.788L777.847 259.463ZM786.899 281.434C756.457 293.575 740.409 327.029 749.991 358.371L761.925 397.407C771.508 428.749 803.519 447.509 835.546 440.552L896.342 427.345C932.351 419.523 953.989 382.6 943.215 347.362L928.272 298.484C917.498 263.246 878.913 244.735 844.686 258.386L786.899 281.434Z" fill="#343434" />
    <path fillRule="evenodd" clipRule="evenodd" d="M217.929 432.739C263.681 422.8 309.413 449.6 323.101 494.374L333.428 528.15C347.116 572.924 324.19 620.715 280.702 638.06L223.847 660.736C174.951 680.237 119.829 653.794 104.438 603.453L91.1519 559.995C75.761 509.654 106.672 456.907 158.114 445.733L217.929 432.739ZM222.71 456.015C254.737 449.058 286.749 467.818 296.331 499.16L308.265 538.196C317.848 569.538 301.799 602.992 271.357 615.133L213.571 638.181C179.344 651.832 140.758 633.321 129.984 598.082L115.041 549.205C104.268 513.966 125.906 477.044 161.915 469.222L222.71 456.015Z" fill="#343434" />
    <circle cx="529.5" cy="449.5" r="331.5" transform="rotate(-17 529.5 449.5)" fill="#343434" />
    <circle cx="528.544" cy="449.792" r="291.5" transform="rotate(-17 528.544 449.792)" fill="url(#paint0_radial)" />
    <circle cx="401" cy="376" r="74" fill="#343434" />
    <circle cx="651" cy="376" r="74" fill="#343434" />
    <circle cx="534.5" cy="596.5" r="60.5" fill="#343434" />
    <defs>
      <radialGradient id="paint0_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(528.544 449.792) rotate(90.1172) scale(244.5)">
        <stop stopColor="#E7BD4E" />
        <stop offset="1" stopColor="#FDD15D" />
      </radialGradient>
    </defs>
  </svg>
);

const Logo = () => (
  <div className="w-12 lg:w-14"><LogoSVG /></div>
);

export default Logo;
